package com.palmnest.model.lingling;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "tr_perm_group_user", schema = "dbo", catalog = "model")
public class UserPermGroup  implements Serializable {
		
	/**
	 * 
	 */
	private static final long serialVersionUID = -630101725464889297L;
	private Long groupId;
	private Integer userId;
	private Date lastUpdateTime;
	@Basic
    @Column(name = "device_perm_group_id")
	public Long getGroupId() {
		return groupId;
	}
	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}
	@Basic
    @Column(name = "user_id")
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	@Basic
    @Column(name = "lastUpdateTime")
	public Date getLastUpdateTime() {
		return lastUpdateTime;
	}
	public void setLastUpdateTime(Date lastUpdateTime) {
		this.lastUpdateTime = lastUpdateTime;
	}
	
	
}
